Orgs Tables
Reorder this table's tab strip
Bulk-update the position of multiple views on one table in one transaction.
PATCH
/
orgs
/
{org_id}
/
tables
/
{table_id}
/
views
/
positions
Reorder this table's tab strip
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/views/positions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"positions": [
{
"id": "<string>",
"position": 1
}
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/views/positions"
payload = { "positions": [
{
"id": "<string>",
"position": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({positions: [{id: '<string>', position: 1}]})
};
fetch('https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/views/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"table_id": "<string>",
"name": "<string>",
"description": "<string>",
"config": {
"shared": {},
"board": {
"key": "<string>",
"hide_empty_groups": true,
"card_fields": [
"<string>"
],
"columns": [
{
"key": "<string>",
"visible": true
}
],
"date": {},
"number": {
"from": 123,
"to": 123,
"step": 123
}
},
"table": {
"columns": [
{
"key": "<string>",
"visible": true,
"sticky": true,
"width": 1015
}
]
},
"calendar": {
"key": "<string>",
"show_weekends": true
},
"timeline": {
"key": "<string>",
"end_key": "<string>"
},
"list": {
"fields": [
"<string>"
]
},
"gallery": {
"cover_key": "<string>",
"card_fields": [
"<string>"
]
}
},
"sort": {
"key": "<string>"
},
"filter": {
"type": "rule",
"key": "<string>",
"value": "<unknown>"
},
"position": 123,
"is_default": true,
"show_in_sidebar": true,
"archived": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer token authentication using your API key
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Body
application/jsonmultipart/form-data
New positions for the views.
Show child attributes
Show child attributes
Response
200 - application/json
Available options:
custom, contacts, chats, users The name of the color to use in the UI
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral Available options:
table, board, calendar, timeline, list, gallery Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
Previous
List org recordsList records across every custom table in the org. Primarily used to browse archived records org-wide. Pass `status=ARCHIVED` for the archive view.
Next
⌘I
Reorder this table's tab strip
